Bug 301242 - store config on first start
Summary: store config on first start
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Services/Amazon MP3 Store (show other bugs)
Version: 2.5.90 (2.6 beta)
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-05 21:27 UTC by Harald Sitter
Modified: 2012-08-14 20:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Sitter 2012-06-05 21:27:28 UTC
when first starting amarok it presents one with an amazon store config dialog. this is 
a) out of context
b) getting in the way of using amarok -> distrubing initial UX ... bad thing

instead some subtle indication should be presented when one tries to actually access the store in the collection browser, failing to do something subtle at least the popup should only appear then

Reproducible: Always
Comment 1 Edward Hades 2012-08-14 19:57:23 UTC
Git commit 84c05d37ac5be1c836948ca5e41a0f824969544e by Edward Hades.
Committed on 14/08/2012 at 21:49.
Pushed by hades into branch 'master'.

Detect Amazon country automatically.

This uses KDE locale settings and avoids "choose your country" popup at
first startup.
Related: bug 299628, bug 303272

M  +19   -10   src/services/amazon/AmazonStore.cpp
M  +8    -0    src/services/amazon/AmazonStore.h

http://commits.kde.org/amarok/84c05d37ac5be1c836948ca5e41a0f824969544e